%global vertag M3

Name:           aether
Epoch:          1
Version:        0.9.0
Release:        %mkrel 0.3.%{vertag}.1
Summary:        Library to resolve, install and deploy artifacts the Maven way
License:        EPL
URL:            http://eclipse.org/aether
BuildArch:      noarch
Group:          Development/Java
Source0:        http://git.eclipse.org/c/%{name}/%{name}-core.git/snapshot/%{name}-%{version}.%{vertag}.tar.bz2

BuildRequires:  maven-local
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-provider-api)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin) >= 1.7
BuildRequires:  mvn(org.codehaus.plexus:plexus-classworlds)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.slf4j:jcl-over-slf4j)
BuildRequires:  mvn(org.slf4j:slf4j-api)

%description
Aether is a standalone library to resolve, install and deploy artifacts
the Maven way.

%package api
Summary: Aether API

%description api
Aether is a standalone library to resolve, install and deploy
artifacts the Maven way.  This package provides application
programming interface for Aether repository system.

%package connector-basic
Summary: Aether Connector Basic

%description connector-basic
Aether is a standalone library to resolve, install and deploy
artifacts the Maven way.  This package provides repository connector
implementation for repositories using URI-based layouts.

%package impl
Summary: Implementation of Aether repository system

%description impl
Aether is a standalone library to resolve, install and deploy
artifacts the Maven way.  This package provides implementation of
Aether repository system.

%package spi
Summary: Aether SPI

%description spi
Aether is a standalone library to resolve, install and deploy
artifacts the Maven way.  This package contains Aether service
provider interface (SPI) for repository system implementations and
repository connectors.

%package test-util
Summary: Aether test utilities

%description test-util
Aether is a standalone library to resolve, install and deploy
artifacts the Maven way.  This package provides collection of utility
classes that ease testing of Aether repository system.

%package transport-classpath
Summary: Aether Transport Classpath

%description transport-classpath
Aether is a standalone library to resolve, install and deploy
artifacts the Maven way.  This package provides a transport
implementation for repositories using classpath:// URLs.

%package transport-file
Summary: Aether Transport File

%description transport-file
Aether is a standalone library to resolve, install and deploy
artifacts the Maven way.  This package provides a transport
implementation for repositories using file:// URLs.

%package transport-http
Summary: Aether Transport HTTP
Obsoletes: %{name}-connector-asynchttpclient < %{epoch}:%{version}-%{release}

%description transport-http
Aether is a standalone library to resolve, install and deploy
artifacts the Maven way.  This package provides a transport
implementation for repositories using http:// and https:// URLs.

%package transport-wagon
Summary: Aether Transport Wagon
Obsoletes: %{name}-connector-wagon < %{epoch}:%{version}-%{release}

%description transport-wagon
Aether is a standalone library to resolve, install and deploy
artifacts the Maven way.  This package provides a transport
implementation based on Maven Wagon.

%package util
Summary: Aether utilities

%description util
Aether is a standalone library to resolve, install and deploy
artifacts the Maven way.  This package provides a collection of
utility classes to ease usage of Aether repository system.

%package javadoc
Summary: Java API documentation for Aether
Group:   Documentation

%description javadoc
Aether is a standalone library to resolve, install and deploy
artifacts the Maven way.  This package provides Java API documentation
for Aether.

%prep
%setup -q -n %{name}-%{version}.%{vertag}

# Remove clirr plugin
%pom_remove_plugin :clirr-maven-plugin
%pom_remove_plugin :clirr-maven-plugin aether-api
%pom_remove_plugin :clirr-maven-plugin aether-util
%pom_remove_plugin :clirr-maven-plugin aether-spi

# Animal sniffer is not useful in Fedora
for module in . aether-api aether-connector-basic aether-impl   \
              aether-spi aether-test-util aether-transport-file \
              aether-transport-classpath aether-transport-http  \
              aether-transport-wagon aether-util; do
    %pom_remove_plugin :animal-sniffer-maven-plugin $module
done

# HTTP transport tests require Jetty 7 and networking.
rm -rf aether-transport-http/src/test
%pom_xpath_remove "pom:dependency[pom:scope='test']" aether-transport-http

%pom_remove_plugin :maven-enforcer-plugin

# Workaround for rhbz#911365
%pom_xpath_inject pom:project "<dependencies/>"
%pom_add_dep cglib:cglib:any:test
%pom_add_dep aopalliance:aopalliance:any:test

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc README.md
%doc epl-v10.html notice.html

%files api -f .mfiles-%{name}-api
%doc README.md
%doc epl-v10.html notice.html
%dir %{_javadir}/%{name}

%files connector-basic -f .mfiles-%{name}-connector-basic
%files impl -f .mfiles-%{name}-impl
%files spi -f .mfiles-%{name}-spi
%files test-util -f .mfiles-%{name}-test-util
%files transport-classpath -f .mfiles-%{name}-transport-classpath
%files transport-file -f .mfiles-%{name}-transport-file
%files transport-http -f .mfiles-%{name}-transport-http
%files transport-wagon -f .mfiles-%{name}-transport-wagon
%files util -f .mfiles-%{name}-util
%files javadoc -f .mfiles-javadoc
%doc epl-v10.html notice.html



%changelog
* Thu Sep 26 2013 dmorgan <dmorgan> 1:0.9.0-0.3.M3.1.mga4
+ Revision: 486620
- New version

* Mon Sep 23 2013 dmorgan <dmorgan> 1:0.9.0-0.M2.1.4.mga4
+ Revision: 484258
- Remove remains of Sonatype Aether
- Port from Sonatype Sisu to Eclipse Sisu, resolves: rhbz#985691
- Rebuild against new stack
- New version
- Rebuild against new javapackages

* Thu Sep 19 2013 dmorgan <dmorgan> 1:0.9.0-0.M2.1.2.mga4
+ Revision: 481371
- Remove borken requires

* Thu Sep 19 2013 dmorgan <dmorgan> 1:0.9.0-0.M2.1.1.mga4
+ Revision: 481348
- Switch upstream from Sonatype to Eclipse
- Update to upstream version 0.9.0.M2
- Install Sonatype Aether in pararell to Eclipse Aether

* Wed Sep 18 2013 dmorgan <dmorgan> 1.13.1-12.mga4
+ Revision: 481228
- Add symlinks to Sonatype Aether

* Fri Jul 12 2013 dmorgan <dmorgan> 1.13.1-11.mga4
+ Revision: 453328
- Split main package

* Thu Feb 28 2013 dmorgan <dmorgan> 1.13.1-8.mga4
+ Revision: 400568
- Disable tests

* Fri Jan 11 2013 umeabot <umeabot> 1.13.1-7.mga3
+ Revision: 345316
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 dmorgan <dmorgan> 1.13.1-6.mga3
+ Revision: 311245
- Java Stack Mass Rebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.13.1-5.mga3
+ Revision: 292653
- Use macros instead of patches to remove plugins

* Mon Jul 09 2012 dmorgan <dmorgan> 1.13.1-1.mga3
+ Revision: 268976
- New version

* Thu Jan 05 2012 dmorgan <dmorgan> 1.11-4.mga2
+ Revision: 191848
- Build with maven 3.x

* Wed Apr 27 2011 dmorgan <dmorgan> 1.11-3.mga1
+ Revision: 92218
- Rebuild after bootstrapping
- imported package aether


* Mon Feb 28 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.11-2
- Rebuild after bugfix update to plexus-containers (#675865)

* Fri Feb 25 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.11-1
- Update to latest version
- Add ASL 2.0 back as optional license

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 19 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.9-1
- License changed to EPL
- Add async-http-client to BR/R
- Update to latest version

* Wed Dec  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.7-3
- Make jars/javadocs versionless
- Remove buildroot and clean section

* Wed Oct 13 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.7-2
- Explained how to get tarball properly
- Removed noreplace on depmap fragment

* Mon Oct 11 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.7-1
- Initial Package
